Recommend a staged stack config and frame groups from the set's data (deterministic).
curl --request GET \
--url https://api.nebyoulous.space/integration-sets/{id}/stack-jobs/recommend \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/integration-sets/{id}/stack-jobs/recommend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/integration-sets/{id}/stack-jobs/recommend"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"config": {
"version": 1,
"calibrate": {
"sensor": "osc",
"cosmeticCorrection": true
},
"register": {
"referencePath": "<string>"
},
"stack": {
"method": "mean",
"rejection": "winsorized_sigma",
"sigmaLow": 50,
"sigmaHigh": 50,
"normalize": "none",
"outputNorm": true,
"weighting": "none",
"rgbEqual": true
},
"filter": {
"fwhm": {
"value": 1,
"mode": "threshold"
},
"wfwhm": {
"value": 1,
"mode": "threshold"
},
"roundness": {
"value": 1,
"mode": "threshold"
},
"nbstars": {
"value": 1,
"mode": "threshold"
},
"bkg": {
"value": 1,
"mode": "threshold"
},
"quality": {
"value": 1,
"mode": "threshold"
},
"includedOnly": true
}
},
"groups": {
"light": [
"<string>"
],
"dark": [
"<string>"
],
"flat": [
"<string>"
],
"bias": [
"<string>"
],
"darkflat": [
"<string>"
]
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Stacking and analysis
Recommend a staged stack config and frame groups from the set's data (deterministic).
GET
/
integration-sets
/
{id}
/
stack-jobs
/
recommend
Recommend a staged stack config and frame groups from the set's data (deterministic).
curl --request GET \
--url https://api.nebyoulous.space/integration-sets/{id}/stack-jobs/recommend \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebyoulous.space/integration-sets/{id}/stack-jobs/recommend', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nebyoulous.space/integration-sets/{id}/stack-jobs/recommend"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"config": {
"version": 1,
"calibrate": {
"sensor": "osc",
"cosmeticCorrection": true
},
"register": {
"referencePath": "<string>"
},
"stack": {
"method": "mean",
"rejection": "winsorized_sigma",
"sigmaLow": 50,
"sigmaHigh": 50,
"normalize": "none",
"outputNorm": true,
"weighting": "none",
"rgbEqual": true
},
"filter": {
"fwhm": {
"value": 1,
"mode": "threshold"
},
"wfwhm": {
"value": 1,
"mode": "threshold"
},
"roundness": {
"value": 1,
"mode": "threshold"
},
"nbstars": {
"value": 1,
"mode": "threshold"
},
"bkg": {
"value": 1,
"mode": "threshold"
},
"quality": {
"value": 1,
"mode": "threshold"
},
"includedOnly": true
}
},
"groups": {
"light": [
"<string>"
],
"dark": [
"<string>"
],
"flat": [
"<string>"
],
"bias": [
"<string>"
],
"darkflat": [
"<string>"
]
}
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}{
"code": "<string>",
"message": "<string>"
}Authorizations
An access token issued by a Nebyoulous sign-in: the web session, nebyoulous login, or an MCP OAuth grant.
Path Parameters
Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$